> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #HAPTIC Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on STM32
```

#include "charger.h"
// TFT module connections
unsigned int TFT_DataPort at GPIOE_ODR;
sbit TFT_RST at GPIOE_ODR.B8;
sbit TFT_RS at GPIOE_ODR.B12;
sbit TFT_CS at GPIOE_ODR.B15;
sbit TFT_RD at GPIOE_ODR.B10;
sbit TFT_WR at GPIOE_ODR.B11;
sbit TFT_BLED at GPIOE_ODR.B9;
// End TFT module connection
float temp;
char txt[10];
void Display_Init(){
  TFT_Init_ILI9341_8bit(320, 240);
  TFT_Set_Pen(CL_WHITE, 1);
  TFT_Set_Brush(1,CL_WHITE,0,0,0,0);
  TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
  TFT_Fill_Screen(CL_WHITE);
  TFT_Set_Pen(CL_Black, 1);
  TFT_Line(20, 220, 300, 220);
  TFT_LIne(20,  46, 300,  46);
  TFT_Set_Font(TFT_defaultFont, CL_RED, FO_HORIZONTAL);
  TFT_Write_Text("BATTERY click", 85, 14);
  TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
  TFT_Write_Text("EasyMx PRO v7 for STM32", 19, 223);
  TFT_Set_Font(TFT_defaultFont, CL_RED, FO_HORIZONTAL);
  TFT_Write_Text("Charging current:", 20, 60);
  TFT_Write_Text("mA", 270, 60);
  TFT_Write_Text("Battery voltage:", 20, 80);
  TFT_Write_Text("V", 270, 80);
  TFT_Write_Text("Charged capacity:", 20, 100);
  TFT_Write_Text("mAhr", 270, 100);
  TFT_Write_Text("Lifetime charge capacity:", 20, 120);
  TFT_Write_Text("mAhr", 270, 120);
  TFT_Write_Text("www.mikroe.com", 200, 223);
  tft_Set_Pen(cl_white, 1);
  TFT_Set_Brush(1,cl_white,0,0,0,0);
  TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
  }


```

```
void main() {
   Display_init();
   charger_init(&GPIOA_BASE);
   while (1)
   {
   tft_rectangle(200, 60, 265, 140);
   temp = charger_read_charging_current(0);
   FloatToStr(temp * 1000,txt);
   TFT_Write_Text(txt, 200, 60);
   temp = charger_read_battery_voltage(0);
   floattostr(temp, txt);
   TFT_Write_Text(txt, 200, 80);
   temp = charger_read_charged_capacity(0);
   floattostr(temp, txt);
   TFT_Write_Text(txt, 200, 100);
   temp = charger_read_lifetime_charge_capacity(0);
   floattostr(temp, txt);
   TFT_Write_Text(txt, 200, 120);
   delay_ms(3000);
   }
}


```








